Package org.apache.sling.distribution

# Interface ImportPreProcessor

public interface ImportPreProcessor
Interface for executing operations before the import of distribution content. This acts as a hook for performing any necessary pre-import operations, such as validation or initial setup, without modifying the properties of the content directly. Implementations of this interface can carry out checks or other preparatory tasks required before the content import process begins.

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Map<String,Object> props)`
Performs operations before the import of content.

## Method Details

### process

void process(Map<String,Object> props) throws ImportPreProcessException
Performs operations before the import of content. This method serves as a hook for any pre-import tasks, like validation or setup, that need to be completed prior to importing. It does not modify the input properties directly but can throw an `ImportPreProcessException` to indicate any issues that would prevent the content from being imported successfully.

Parameters:
  `props` - properties defining the content to be imported
Throws:
  `ImportPreProcessException` - if there is an issue that prevents the content from being imported successfully